import 'package:flutter/material.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

import 'custom_slide_banner.dart';
import 'custom_slide_banner_sk.dart';

///
/// 可以滚动Banner
///
class CustomSlideBannerCreater extends WidgetCreater {
  @override
  List<Widget> createSkeleton(Map<String, dynamic> model) {
    return [CustomSlideBannerSkeleton()];
  }

  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    return [
      CustomSlideBanner(model),
    ];
  }
}
